Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1571351

Summary: Authentication required for org.blueman.network.setup, org.blueman.rfkill.setstate
Product: [Fedora] Fedora Reporter: Paul Whalen <pwhalen>
Component: xfce-polkitAssignee: Kevin Fenzi <kevin>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 28CC: awilliam, jsmith.fedora, kevin, mboddu, sgallagh, sumukher
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-05-28 21:55:39 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 245418, 1469207    

Description Paul Whalen 2018-04-24 15:01:45 UTC
Description of problem:
When booting XFCE, an authentication dialog asks for authorization for:
org.blueman.network.setup and org.blueman.rfkill.setstate

Version-Release number of selected component (if applicable):
xfce-polkit-0.2-12.fc28.armv7hl

How reproducible:
Everytime on hardware with Bluetooth

Comment 1 Paul Whalen 2018-04-24 15:43:52 UTC
Proposing as a FE for final, this would be nice to get fixed on the disk images.

Comment 2 Kevin Fenzi 2018-04-24 16:48:51 UTC
We dropped blueman in f27/f26, but apparently it came back somehow (perhaps I didn't change f28 comps when it existed?). 

https://pagure.io/fedora-comps/pull-request/275

Comment 3 Mohan Boddu 2018-04-24 19:18:47 UTC
Is it still a Blocker or FE, since we removed it from the https://bugzilla.redhat.com/show_bug.cgi?id=1571351#c2 PR?

Comment 4 Jared Smith 2018-04-24 19:21:00 UTC
+1 FE

Comment 5 Adam Williamson 2018-04-24 19:36:29 UTC
Mohan: well, we'd be sort of retroactively approving that change, I guess :) It should not have been merged without this bug being accepted as a blocker or FE.

Comment 6 Stephen Gallagher 2018-04-25 12:31:20 UTC
+1 FE

Comment 7 Kevin Fenzi 2018-04-25 18:22:30 UTC
I can confirm that blueman is gone and blueberry is there on RC1.1

Comment 8 Paul Whalen 2018-04-25 19:46:41 UTC
blueberry working as expected in RC1.1 , no authentication required. Thanks Kevin.

Comment 9 sumantro 2018-04-26 10:46:55 UTC
blueberry is working fine.

Comment 10 Raphael Groner 2018-07-22 05:51:49 UTC
Closing?

Comment 11 Ben Cotton 2019-05-02 19:23:09 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 12 Ben Cotton 2019-05-02 21:16:34 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Ben Cotton 2019-05-28 21:55:39 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.